![Python](https://img.shields.io/badge/Python-3.8%2B-blue?style=flat-square&logo=python)
[![License](https://img.shields.io/github/license/SevgiAkten/pycellga)](https://github.com/SevgiAkten/CelluKeyGA/blob/main/LICENSE)
[![Doc](https://img.shields.io/badge/docs-dev-blue.svg)](https://sevgiakten.github.io/CelluKeyGA/)
![Status](https://img.shields.io/badge/Status-Development-orange?style=flat-square)
![Repo Size](https://img.shields.io/github/repo-size/SevgiAkten/pycellga)
![GitHub Contributors](https://img.shields.io/github/contributors/SevgiAkten/CelluKeyGA)
[![PyPI version](https://img.shields.io/pypi/v/CelluKeyGA.svg)](https://pypi.org/project/CelluKeyGA/)


Note: This section is under development..


# CelluKeyGA

🚀 **CelluKeyGA** is a Python library that integrates **Cellular Genetic Algorithm (Cellular GA)** with **Biased Random-Key Genetic Algorithm (BRKGA)** to enhance optimization capabilities. This project aims to provide a flexible and efficient evolutionary computing framework for solving complex optimization problems.

## 🔹 Features
- Combines **Cellular GA** and **BRKGA** for improved solution diversity and performance.
- Designed for solving **combinatorial and continuous optimization** problems.
- **Modular and extensible** structure for easy customization.

## 🛠️ Applications
CelluKeyGA can be applied in various domains, including:
- ✅ Scheduling and routing problems.
- ✅ Machine learning hyperparameter optimization.
- ✅ Engineering design optimization.
- ✅ Any problem requiring robust metaheuristic search strategies.

## 📦 Installation
```bash
pip install CelluKeyGA 
```

## 🚀 Getting Started
```python
from cellukeyga import CelluKeyGA

# Example usage
ckga = CelluKeyGA()
ckga.run()
```

## 📂 Roadmap
- [ ] Implement core algorithm.
- [ ] Add benchmark test problems.
- [ ] Provide detailed documentation.
- [ ] Integrate with pymoo.

## 🤝 Contributing
Contributions are welcome! Feel free to open issues and pull requests.

## 📜 License
MIT License (or any other license you prefer).
